Subject: Re: [RFH] SoC 2012 Guidelines

From: Jakub Narebski <[email-masked]>
Date: Sun, 25 Mar 2012 16:45:47 +0100

André Walker wrote:
> On 03/25/2012 03:19 AM, Tay Ray Chuan wrote:
> > 2012/3/25 Jakub Narebski<[email-masked]>:
> >
> > >   We really should have more ideas, as it looks like students would be
> > >   battling for a few projects (I think there are two would-be students
> > >   for any proposed project).  Well, too late now.
>
> Right. But would there be room for every student anyhow? Or, at least, 
> would there be room for more students if there were more ideas / projects?

I don't know the details of how decision is made on how many project
slots a GSoC organization will get, but in earlier GSoC (see Git Wiki)
we get 2 to 6 projects (IIRC).

One limitation is number of possible mentors.
 
> > Looking through the ideas page on the wiki, it's not that we don't
> > have enough ideas, it's just that students are all "clustering" around
> > a few proposals (or just one, to be exact).
>
> Which proposal (or proposals) is that?

"Improving parallelism in various commands" (3-4 proposals), "Designing
a faster index format" (2-3 proposals), "Remote helper for Subversion"
(this has 1 proposal I think), "Modernizing and expanding Git.pm"
(2 proposals), "Use JavaScript library / framework in gitweb"
(2 proposals), 'Complete "Linus's ultimate content tracking tool"'
(0.5 proposal).

That is from what I remember, and from public and not so public info
I have available.  There might be dragons^W errors.
 
> > I wonder if they are aware of this, given that they most probably
> > aren't subscribed to the list and thus wouldn't see "competing"
> > proposals.
>
> Yes, at least I'm aware :) But I think it would be good to everybody if 
> we could manage to get us students to talk and pick one different 
> proposal each, specially if there is a possibility to get more people to 
> participate in GSoC for Git.

BTW. according to Google Summer of Code FAQ there can be more than one
student working on the same project.  Though IIRC it never happened in
history of Git participation in GSoC, isn't it?

-- 
Jakub Narebski
Poland